Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53962 - [vaapi] loading under Wayland started to fail

Attached to Project: Arch Linux
Opened by c (c) - Sunday, 07 May 2017, 14:03 GMT
Last edited by Christian Hesse (eworm) - Tuesday, 18 July 2017, 21:25 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Christian Hesse (eworm)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
vaapi hw acceleration used to work well under Wayland compositors (Sway, Weston), but somewhere it started to fail with this error:

[vaapi] libva: va_getDriverName() failed with unknown libva error,driver_name=(null)
[vaapi] libva: va_getDriverName() failed with unknown libva error,driver_name=(null)
VO does not support requested hardware decoder, or loading it failed.

This started to fail somewhere this May, to the best of my knowledge. It still works the same in X and drm (fbdev).

Additional info:
* mpv 0.25.0-2
* libva 1.8.1-1

Steps to reproduce:
- start weston or sway
- mpv -vo opengl --hwdec vaapi video.mp4
This task depends upon

Closed by  Christian Hesse (eworm)
Tuesday, 18 July 2017, 21:25 GMT
Reason for closing:  Fixed
Additional comments about closing:  mpv-1:0.26.0-1
Comment by razer raz (razer) - Monday, 08 May 2017, 07:51 GMT
To be more precise, this error occurs only with mpv.
Totem works via gstreamer-vaapi.
It can be ffmpeg related, since mpv seems to use it for vaapi
Comment by Bartłomiej Piotrowski (Barthalion) - Tuesday, 09 May 2017, 18:22 GMT
This is mpv issue, caused by this commit: https://github.com/mpv-player/mpv/commit/bba08e38ff9842c4edf9da6a1d54066a01acd982
…which upstream happily rejected to fix here[1]. You need to put opengl-backend=wayland in your config.

[1] https://github.com/mpv-player/mpv/issues/4382
Comment by Bartłomiej Piotrowski (Barthalion) - Tuesday, 09 May 2017, 18:23 GMT
We could probably apply this pull request[1] so at least mpv could fallback to different driver.

[1] https://github.com/mpv-player/mpv/pull/4384
Comment by Giovanni Santini (ItachiSan) - Monday, 15 May 2017, 18:02 GMT
Right now, I am having the same issue on Totem.
It fails to load VA-API and fall back to normal plugins.

---
$ totem video.mp4
libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)
...
---
Comment by Bartłomiej Piotrowski (Barthalion) - Monday, 15 May 2017, 18:09 GMT
Make sure your Totem instance is running on Wayland, not in XWayland session.
Comment by Giovanni Santini (ItachiSan) - Monday, 15 May 2017, 18:38 GMT
Just tested out:

$ env GDK_BACKEND=wayland totem video.mp4
libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)

Loading...